package com.fs.watch.service;

import com.fs.watch.domain.WatchHeartRateData;
import com.fs.watch.domain.WatchThirdUaData;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_third_ua_data(设备三方尿酸)】的数据库操作Service
* @createDate 2024-10-15 11:06:51
*/
public interface WatchThirdUaDataService{

    Boolean insert(WatchThirdUaData watchThirdUaData);

    WatchThirdUaData getLatest(String deviceId);

    Integer getStatus(String deviceId,int uricAcid);

    String getStatusStr(int status);

    List<WatchThirdUaData> queryByDateAndDeviceId(String date, String deviceId);

    List<WatchThirdUaData> list(Date startTime, Date endTime, String deviceId);

    List<Map<String, Object>> countUaByDate(Date startTime, Date endTime, String deviceId);

    List<WatchThirdUaData> queryListByDate(Date startTime, Date endTime, String deviceId, Integer pageNum,
                                                Integer pageSize,Integer status);

    int countTotalDate(Date startTime, Date endTime, String deviceId,Integer status);
}
